/*
** Module   : Setter.java
** Abstract : mechanism for delegating a call to an object's setter method
**
** Copyright (c) 2009, Golden Code Development Corporation.
**
** -#- -I- --Date-- -----------------------Description------------------------
** 001 GES 20090226 Mechanism for delegating a call to an object's setter
**                  method.
*/

/*
** This program is free software: you can redistribute it and/or modify
** it under the terms of the GNU Affero General Public License as
** published by the Free Software Foundation, either version 3 of the
** License, or (at your option) any later version.
**
** This program is distributed in the hope that it will be useful,
** but WITHOUT ANY WARRANTY; without even the implied warranty of
** MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
** GNU Affero General Public License for more details.
**
** You should have received a copy of the GNU Affero General Public License
** along with this program.  If not, see <http://www.gnu.org/licenses/>.
*/

package com.goldencode.harness;

/**
 * Mechanism for delegating a call to an object's setter method.
 */
public interface Setter
{
   /**
    * Convert the given value into the proper data type and call the setter
    * for that value.
    *
    * @param    value
    *           Text representation of the new value.
    *
    * @throws   ClassCastException
    *           If the conversion is from a type which is not supported.
    */
   public void set(String value);
}
