/*
** Module   : ServiceException.java
** Abstract : Exception used for generic errors when handling the service, its request or response.
**
** Copyright (c) 2021, Golden Code Development Corporation.
**
** -#- -I- --Date-- ---------------------------------------Description----------------------------------------
** 001 CA  20210830 Created initial version.
*/

/*
** This program is free software: you can redistribute it and/or modify
** it under the terms of the GNU Affero General Public License as
** published by the Free Software Foundation, either version 3 of the
** License, or (at your option) any later version.
**
** This program is distributed in the hope that it will be useful,
** but WITHOUT ANY WARRANTY; without even the implied warranty of
** MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
** GNU Affero General Public License for more details.
**
** You should have received a copy of the GNU Affero General Public License
** along with this program.  If not, see <http://www.gnu.org/licenses/>.
*/

package com.goldencode.harness.test;

/**
 * Exception used for generic errors when handling the service, its request or response.
 */
public class ServiceException
extends RuntimeException
{
   /**
    * Create a new exception with the specified message.
    * 
    * @param    msg
    *           The message.
    */
   public ServiceException(String msg)
   {
      super(msg);
   }

   /**
    * Create a new exception with the specified message and cause.
    * 
    * @param    msg
    *           The message.
    * @param    cause
    *           The initial cause.
    */
   public ServiceException(String msg, Throwable cause)
   {
      super(msg, cause);
   }
}
