/*
** Module   : HtmlConstants.java
** Abstract : common constants used in writing HTML output 
**
** Copyright (c) 2007-2009, Golden Code Development Corporation.
**
** -#- -I- --Date-- -----------------------Description------------------------
** 001 GES 20070711 Created initial version which provides common constants
**                  used in writing HTML output.
*/

/*
** This program is free software: you can redistribute it and/or modify
** it under the terms of the GNU Affero General Public License as
** published by the Free Software Foundation, either version 3 of the
** License, or (at your option) any later version.
**
** This program is distributed in the hope that it will be useful,
** but WITHOUT ANY WARRANTY; without even the implied warranty of
** MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
** GNU Affero General Public License for more details.
**
** You should have received a copy of the GNU Affero General Public License
** along with this program.  If not, see <http://www.gnu.org/licenses/>.
*/

package com.goldencode.html;

/**
 * An interface which contains common constants used in writing HTML output.
 *
 * @author    GES
 */
public interface HtmlConstants
{
   /** Vertical alignment at the top of the element. */
   public final String VALIGN_TOP = "top";
   
   /** Vertical alignment at the middle of the element. */
   public final String VALIGN_MIDDLE = "middle";
   
   /** Vertical alignment at the bottom of the element. */
   public final String VALIGN_BOTTOM = "bottom";
   
   /** Horizontal alignment at the left of the element. */
   public final String HALIGN_LEFT = "left";
   
   /** Horizontal alignment at the center of the element. */
   public final String HALIGN_CENTER = "center";
   
   /** Horizontal alignment at the right of the element. */
   public final String HALIGN_RIGHT = "right";
}
